## org.apache.commons.math
Interface Field<T>

Type Parameters:
  `T` - the type of the field elements

All Known Implementing Classes:
  BigFractionField, BigRealField, ComplexField, FractionField

    public interface Field<T>

Interface representing a field.

Classes implementing this interface will often be singletons.

Since:
  2.0
Version:
  $Revision: 811685 $ $Date: 2009-09-05 13:36:48 -0400 (Sat, 05 Sep 2009) $
See Also:
  `FieldElement`

Method Summary
`T` `getOne()` Get the multiplicative identity of the field.
`T` `getZero()` Get the additive identity of the field.

Method Detail

### getZero

    T getZero()

  Get the additive identity of the field.

  The additive identity is the element e0 of the field such that for all elements a of the field, the equalities a + e0 = e0 + a = a hold.

  Returns:
    additive identity of the field

### getOne

    T getOne()

  Get the multiplicative identity of the field.

  The multiplicative identity is the element e1 of the field such that for all elements a of the field, the equalities a × e1 = e1 × a = a hold.

  Returns:
    multiplicative identity of the field

Copyright (c) 2003-2010 Apache Software Foundation